### Method

# Vips Image boolean_const1

#### Declaration [src]

    int
    vips_boolean_const1 (
      VipsImage* in,
      VipsImage** out,
      VipsOperationBoolean boolean,
      double c,
      ...
    )

#### Description [src]

Perform various boolean operations on an image with a single constant. See `vips_boolean_const()`.

See also

`vips_boolean()`, `vips_boolean_const()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`boolean`

  Type: `VipsOperationBoolean`

  Boolean operation to perform.

`c`

  Type: `double`

  Constant.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.